GNU bug report logs - #13194
24.2; show-stopper in report-emacs-bug

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: debbugs.gnu.org; Reported by: Devon Sean McCullough <Emacs-Hacker2012@HIDDEN>; merged with #14811; dated Sat, 15 Dec 2012 15:40:03 UTC; Maintainer for debbugs.gnu.org is help-debbugs@HIDDEN.
Merged 13194 14811. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug No longer marked as found in versions 24.2. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'emacs' to 'debbugs.gnu.org'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13194 <at> debbugs.gnu.org:


Received: (at 13194) by debbugs.gnu.org; 15 Dec 2012 18:21:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 15 13:21:52 2012
Received: from localhost ([127.0.0.1]:44349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TjwMw-0003Ly-IL
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2012 13:21:51 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:40907)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>)
	id 1TjwMt-0003Ll-3x; Sat, 15 Dec 2012 13:21:48 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1TjwLo-0006sI-9G; Sat, 15 Dec 2012 13:20:40 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Devon Sean McCullough <Emacs-Hacker2012@HIDDEN>
Subject: Re: bug#13194: 24.2; show-stopper in report-emacs-bug
References: <03C47531-5C96-4E2B-BC72-AAD25EB57B70@HIDDEN>
X-Spook: UFO United Nations sweep bce PET Venezuela national
X-Ran: W=$8p)%&-"NvQJL'!w}O0`?mcb,^:lrh9wp("6MkrD*[+*>rTm5G]V`=qRc@Wm<LM71w<x
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sat, 15 Dec 2012 13:20:40 -0500
In-Reply-To: <03C47531-5C96-4E2B-BC72-AAD25EB57B70@HIDDEN> (Devon Sean
	McCullough's message of "Sat, 15 Dec 2012 10:37:40 -0500")
Message-ID: <pyobhvrxc7.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 13194
Cc: 13194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

reassign 13194 debbugs.gnu.org
stop

Devon Sean McCullough wrote:

> Current system: Report an Emacs bug after supper, get spam before breakfast.

I'm sympathetic, but think this is an exaggeration.
If I search for your unobscured literal email address, I find several
hits from sites such as: anonscm.debian.org, www.update.uu.se,
repo.or.cz, bitbucket.org, nntp.intelliseek.com, etc. Many of these are
mirrors of the Emacs source code (your address is in ChangeLogs), or of
the gnu.emacs.bug newsgroup (you've posted before with the same
address). None of these sites are under our control, and further
obscuring debbugs.gnu.org will have zero impact on them.

Currently, there are 663 stored Spam messages that arrived on
debbugs.gnu.org since November 1. The vast majority were sent to
bug-gnu-emacs@gnu etc. Only a tiny fraction (9) were sent to
###@debbugs.gnu addresses. In fact there are just two bugs that got spam
(5475 and 3643). Since the ###@debbugs addresses appear on the site with
the same obscuration, I conclude that it is fairly effective. If your
initial hyperbole were true, I would expect to see many more ###@debbugs
addresses getting spam, and many more recent bugs.

But I'm certainly open for specific suggestions for improvement.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13194; Package emacs. Full text available.

Message received at 13194 <at> debbugs.gnu.org:


Received: (at 13194) by debbugs.gnu.org; 15 Dec 2012 15:55:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 15 10:55:42 2012
Received: from localhost ([127.0.0.1]:44241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tju5W-0008Nr-B2
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2012 10:55:42 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:59602)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1Tju5V-0008Nl-7Y
	for 13194 <at> debbugs.gnu.org; Sat, 15 Dec 2012 10:55:41 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0MF200F00XGFRO00@HIDDEN> for
	13194 <at> debbugs.gnu.org; Sat, 15 Dec 2012 17:53:57 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MF200F44XHWLO50@HIDDEN>;
	Sat, 15 Dec 2012 17:53:57 +0200 (IST)
Date: Sat, 15 Dec 2012 17:54:01 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13194: 24.2; show-stopper in report-emacs-bug
In-reply-to: <87pq2bb9sg.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Chong Yidong <cyd@HIDDEN>
Message-id: <837gojmhuu.fsf@HIDDEN>
References: <03C47531-5C96-4E2B-BC72-AAD25EB57B70@HIDDEN>
	<87pq2bb9sg.fsf@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > From: Chong Yidong <cyd@HIDDEN> > Date: Sat,
	15 Dec 2012
	23:43:43 +0800 > Cc: Devon Sean McCullough <Emacs-Hacker2012@HIDDEN>
	>
	> > P.S. Thinly masked addresses like > > Reported by: Devon Sean
	McCullough
	<Emacs-Hacker2012 <at> jovi.net> > > are grist for the robo harvesters'
	spam
	mills. > > Maybe the debbugs.gnu.org web interface doesn't need to show
	email
	> addresses anymore; Emacs developers can always get them via the SOAP >
	interface, using the debbugs package. > > Any objections? [...] 
	Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [80.179.55.172 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.4439]
X-Debbugs-Envelope-To: 13194
Cc: 13194 <at> debbugs.gnu.org, Emacs-Hacker2012@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.7 (/)

> From: Chong Yidong <cyd@HIDDEN>
> Date: Sat, 15 Dec 2012 23:43:43 +0800
> Cc: Devon Sean McCullough <Emacs-Hacker2012@HIDDEN>
> 
> > P.S. Thinly masked addresses like
> > Reported by: Devon Sean McCullough <Emacs-Hacker2012 <at> jovi.net>
> > are grist for the robo harvesters' spam mills.
> 
> Maybe the debbugs.gnu.org web interface doesn't need to show email
> addresses anymore; Emacs developers can always get them via the SOAP
> interface, using the debbugs package.
> 
> Any objections?

No objections here, as long as:

 1) downloading messages in mbox format still shows the original
    addresses without any "disguise", and

 2) whatever disguises the addresses does NOT also munge anything that
    looks like an address, but isn't, like @code{foo} etc.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13194; Package emacs. Full text available.

Message received at 13194 <at> debbugs.gnu.org:


Received: (at 13194) by debbugs.gnu.org; 15 Dec 2012 15:44:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 15 10:44:57 2012
Received: from localhost ([127.0.0.1]:44225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tjtv7-00087s-6U
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2012 10:44:57 -0500
Received: from mail-pb0-f44.google.com ([209.85.160.44]:55669)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <seewhydee@HIDDEN>) id 1Tjtv4-00087h-NP
	for 13194 <at> debbugs.gnu.org; Sat, 15 Dec 2012 10:44:55 -0500
Received: by mail-pb0-f44.google.com with SMTP id uo1so2982737pbc.3
	for <13194 <at> debbugs.gnu.org>; Sat, 15 Dec 2012 07:43:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=O/ZLYAqeatUO2S86CFh+KlFUG0vEfjZ6TSh3S/f6qQ8=;
	b=rAXxYjLifg/2+J7C1bUV9CxLhgoMzoe4lLiMDyKpy7sjgzeTXcT+9uRKTe7j4cO89v
	mON1pBW6vZBdmqDtfzUMer2M1GkcwLPUUPTV0IhxnANRj76qdMAKPPSkOBcCUdZj4MgW
	PtssPrUWrrapmft/FONUcqVCaU7SUk3BDLpBYGS0R7MYKl9aeIdssET6nK8F2PtsGtFC
	YdFz40O7WO/Zw9gvZSTAkBDUT2SlQvnCgPUUTxuSMLznYpcCJ0rPqQjS7WFULKw0le81
	6jENlrM0wsGJKNZUn4RNgxA9Q71Ozp6DQ4bQg0nNnJ1lWFNlISfJrWS0SSR+xUVjeE+s
	SLpg==
Received: by 10.66.85.39 with SMTP id e7mr25659180paz.63.1355586228653;
	Sat, 15 Dec 2012 07:43:48 -0800 (PST)
Received: from ulysses (cm107.delta179.maxonline.com.sg. [59.189.179.107])
	by mx.google.com with ESMTPS id ou3sm4886807pbb.46.2012.12.15.07.43.45
	(version=SSLv3 cipher=OTHER); Sat, 15 Dec 2012 07:43:47 -0800 (PST)
From: Chong Yidong <cyd@HIDDEN>
To: 13194 <at> debbugs.gnu.org
Subject: Re: bug#13194: 24.2; show-stopper in report-emacs-bug
References: <03C47531-5C96-4E2B-BC72-AAD25EB57B70@HIDDEN>
Date: Sat, 15 Dec 2012 23:43:43 +0800
In-Reply-To: <03C47531-5C96-4E2B-BC72-AAD25EB57B70@HIDDEN> (Devon Sean
	McCullough's message of "Sat, 15 Dec 2012 10:37:40 -0500")
Message-ID: <87pq2bb9sg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 13194
Cc: Devon Sean McCullough <Emacs-Hacker2012@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

> P.S. Thinly masked addresses like
> Reported by: Devon Sean McCullough <Emacs-Hacker2012 <at> jovi.net>
> are grist for the robo harvesters' spam mills.

Maybe the debbugs.gnu.org web interface doesn't need to show email
addresses anymore; Emacs developers can always get them via the SOAP
interface, using the debbugs package.

Any objections?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13194; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Dec 2012 15:39:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 15 10:39:40 2012
Received: from localhost ([127.0.0.1]:44220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tjtpz-0007zj-Ln
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2012 10:39:40 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60439)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <Emacs-Hacker2012@HIDDEN>) id 1Tjtpo-0007zR-NN
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2012 10:39:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <Emacs-Hacker2012@HIDDEN>) id 1Tjtok-0007sp-Cv
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2012 10:38:24 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:52453)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <Emacs-Hacker2012@HIDDEN>) id 1Tjtok-0007sl-9o
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2012 10:38:22 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43556)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <Emacs-Hacker2012@HIDDEN>) id 1Tjtoh-0007qy-QF
	for bug-gnu-emacs@HIDDEN; Sat, 15 Dec 2012 10:38:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <Emacs-Hacker2012@HIDDEN>) id 1Tjtob-0007rc-Lm
	for bug-gnu-emacs@HIDDEN; Sat, 15 Dec 2012 10:38:19 -0500
Received: from gateway09.websitewelcome.com ([67.18.21.24]:57278)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <Emacs-Hacker2012@HIDDEN>) id 1Tjtob-0007rR-Gv
	for bug-gnu-emacs@HIDDEN; Sat, 15 Dec 2012 10:38:13 -0500
Received: by gateway09.websitewelcome.com (Postfix, from userid 507)
	id 7823BBF6C9F73; Sat, 15 Dec 2012 09:38:02 -0600 (CST)
Received: from leaf.websitewelcome.com (leaf.websitewelcome.com
	[174.121.85.66])
	by gateway09.websitewelcome.com (Postfix) with ESMTP id 6B216BF6C9F52
	for <bug-gnu-emacs@HIDDEN>; Sat, 15 Dec 2012 09:38:02 -0600 (CST)
Received: from [68.162.239.121] (port=58688 helo=[192.168.2.100])
	by leaf.websitewelcome.com with esmtpsa (TLSv1:AES128-SHA:128)
	(Exim 4.80) (envelope-from <Emacs-Hacker2012@HIDDEN>)
	id 1Tjtoa-0001B5-1g
	for bug-gnu-emacs@HIDDEN; Sat, 15 Dec 2012 09:38:12 -0600
From: Devon Sean McCullough <Emacs-Hacker2012@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Subject: 24.2; show-stopper in report-emacs-bug
Date: Sat, 15 Dec 2012 10:37:40 -0500
Message-Id: <03C47531-5C96-4E2B-BC72-AAD25EB57B70@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Mime-Version: 1.0 (Apple Message framework v1085)
X-Mailer: Apple Mail (2.1085)
X-AntiAbuse: This header was added to track abuse,
	please include it with any abuse report
X-AntiAbuse: Primary Hostname - leaf.websitewelcome.com
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jovi.net
X-BWhitelist: yes
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: ([192.168.2.100]) [68.162.239.121]:58688
X-Source-Auth: devon@HIDDEN
X-Email-Count: 1
X-Source-Cap: am92aW5ldDtkZXZvbjtsZWFmLndlYnNpdGV3ZWxjb21lLmNvbQ==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Dear GNU people:

*PLEASE DEFEND BUG-GNU-EMACS REPORTERS' ADDRESSES*

Current system: Report an Emacs bug after supper, get spam before breakfast.

		Peace
			--Devon

P.S. Thinly masked addresses like

Reported by: Devon Sean McCullough <Emacs-Hacker2012 <at> jovi.net>

are grist for the robo harvesters' spam mills.





Acknowledgement sent to Devon Sean McCullough <Emacs-Hacker2012@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13194; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.